unit uEditorAlbaranesDevCliente;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uEditorAlbaranesCliente, JSDialog, Menus, DB, uDADataTable,
  JvAppStorage, JvAppRegistryStorage, JvComponentBase, JvFormPlacement, ImgList,
  PngImageList, StdActns, ActnList, ComCtrls, JvExComCtrls, JvStatusBar, TBX,
  TB2ExtItems, TBXExtItems, TB2Item, TB2Dock, TB2Toolbar, pngimage, ExtCtrls,
  JvExControls, JvComponent, JvNavigationPane, uIEditorAlbaranesDevCliente,
  uDAInterfaces;

type
  TfEditorAlbaranesDevCliente = class(TfEditorAlbaranesCliente, IEditorAlbaranesDevCliente)
    procedure actEliminarUpdate(Sender: TObject);
  protected
    procedure AsignarVista; override;
    procedure NuevoInterno; override;
  public
    procedure PonerTitulos(const ATitulo: string = ''); override;
  end;

implementation
{$R *.dfm}

uses
  uDataModuleUsuarios, uViewAlbaranesDevCliente, uFactuGES_App;
  
{ TfEditorAlbaranesDevCliente }

procedure TfEditorAlbaranesDevCliente.actEliminarUpdate(Sender: TObject);
begin
  (Sender as TAction).Enabled := HayDatos and (FAlbaranes.REF_FACTURA = '');
end;

procedure TfEditorAlbaranesDevCliente.AsignarVista;
begin
  ViewGrid := CreateView(TfrViewAlbaranesDevCliente) as IViewAlbaranesDevCliente;
end;

procedure TfEditorAlbaranesDevCliente.NuevoInterno;
begin
//  inherited;
  if FController.AnadirAlbaranDev(Albaranes) then
     FController.Ver(Albaranes);
end;

procedure TfEditorAlbaranesDevCliente.PonerTitulos(const ATitulo: string);
var
  FTitulo : String;
begin
  FTitulo := 'Lista de órdenes de devolución a cliente - ' + AppFactuGES.EmpresaActiva.NOMBRE;
  inherited PonerTitulos(FTitulo);
end;

end.
